ServerEvents.tags('block', e => {
        e.remove('ores:incorrect_for_magnite_tool', 'minecraft:incorrect_for_iron_tool')
        e.remove('ores:incorrect_for_cobalt_tool', 'minecraft:incorrect_for_iron_tool')
        e.remove('ores:incorrect_for_mythril_tool', 'minecraft:incorrect_for_iron_tool')
        e.remove('ores:incorrect_for_adamantite_tool', 'minecraft:incorrect_for_iron_tool')
        e.remove('ores:incorrect_for_celestium_tool', 'minecraft:incorrect_for_iron_tool')
        e.remove('ores:incorrect_for_viridium_tool', 'minecraft:incorrect_for_iron_tool')

        e.remove('minecraft:needs_diamond_tool', 'ores:adamantite_furnace')
        e.remove('minecraft:incorrect_for_wooden_tool', 'ores:adamantite_furnace')
        e.remove('minecraft:incorrect_for_stone_tool', 'ores:adamantite_furnace')
        e.remove('minecraft:incorrect_for_gold_tool', 'ores:adamantite_furnace')
        e.remove('minecraft:incorrect_for_iron_tool', 'ores:adamantite_furnace')
        e.remove('ores:incorrect_for_magnite_tool', 'ores:adamantite_furnace')
        e.remove('ores:incorrect_for_orichalcum_tool', 'ores:adamantite_furnace')
        e.remove('ores:incorrect_for_cobalt_tool', 'ores:adamantite_furnace')
        e.remove('ores:incorrect_for_mythril_tool', 'ores:adamantite_furnace')
        e.remove('ores:incorrect_for_adamantite_tool', 'ores:adamantite_furnace')
        e.remove('ores:incorrect_for_celestium_tool', 'ores:adamantite_furnace')
        e.remove('ores:incorrect_for_viridium_tool', 'ores:adamantite_furnace')
        // e.remove('ores:incorrect_for_cobalt_tool', 'ores:incorrect_for_magnite_tool')

        e.add('ores:needs_adamantite_tool', 'ores:adamantite_furnace')
        e.add('ores:needs_adamantite_tool', 'ores:cobalt_furnace')
        e.add('ores:needs_mythril_tool', 'ores:adamantite_furnace')
        e.add('ores:needs_mythril_tool', 'ores:cobalt_furnace')
        // e.add('ores:needs_orichalcum_tool', 'minecraft:respawn_anchor')
        // e.add('ores:needs_orichalcum_tool', 'ores:morphite_synthesizer')
})